package eu.mhsl.minecraft.pixelblocks.commands;

import eu.mhsl.minecraft.pixelblocks.pixelblock.PixelBlockWorld;
import eu.mhsl.minecraft.pixelblocks.utils.Direction;
import eu.mhsl.minecraft.pixelblocks.pixelblock.PixelBlock;
import org.bukkit.Location;
import org.bukkit.World;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import org.jetbrains.annotations.NotNull;

import java.util.UUID;

public class CreatePixelBlockCommand implements CommandExecutor {
    @Override
    public boolean onCommand(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args) {
        if(sender instanceof Player p) {
            World playerWorld = p.getWorld();
            if(PixelBlockWorld.getPixelBlockWorlds().contains(playerWorld)) {
                p.sendMessage("Pixelblöcke können nicht innerhalb anderen Pixelblöcken erstellt werden.");
                return true;
            }

            Location playerLocation = p.getLocation();
            PixelBlock.createPixelBlock(
                UUID.randomUUID(),
                p.getUniqueId(),
                playerLocation.toBlockLocation(),
                Direction.south
            );
//            PixelBlock block = new PixelBlock(
//                playerLocation,
//                p.getUniqueId(),
//                UUID.randomUUID(),
//                Direction.south
//            );
//            block.place(playerLocation, Direction.south);
        }
        return true;
    }
}
