package eu.mhsl.minecraft.pixelblocks.listeners;

import eu.mhsl.minecraft.pixelblocks.Main;
import eu.mhsl.minecraft.pixelblocks.pixelblock.PixelBlock;
import org.bukkit.*;
import org.bukkit.entity.Interaction;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerInteractEntityEvent;

public class EnterPixelBlockListener implements Listener {
    @EventHandler
    public void enterPixelBlock(PlayerInteractEntityEvent event) {
        if(!(event.getRightClicked() instanceof Interaction)) return;

        Location interactionLocation = event
                .getRightClicked()
                .getLocation()
                .add(0, Main.configuration.hitboxOffset(), 0)
                .toBlockLocation();
        PixelBlock pixelBlock = PixelBlock.getPixelBlockFromPlacedLocation(interactionLocation);
        if(pixelBlock == null) return;
        pixelBlock.enterBlock(event.getPlayer());
    }
}
